(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["client-search-client-search-module"],{

/***/ "./src/app/pages/client/client-search/client-search.module.ts":
/*!********************************************************************!*\
  !*** ./src/app/pages/client/client-search/client-search.module.ts ***!
  \********************************************************************/
/*! exports provided: ClientSearchPageModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ClientSearchPageModule", function() { return ClientSearchPageModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _component_empty_tip_empty_tip_component_module__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./../../../component/empty-tip/empty-tip.component.module */ "./src/app/component/empty-tip/empty-tip.component.module.ts");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/fesm5/common.js");
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/forms */ "./node_modules/@angular/forms/fesm5/forms.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");
/* harmony import */ var _client_search_page__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./client-search.page */ "./src/app/pages/client/client-search/client-search.page.ts");








var routes = [
    {
        path: '',
        component: _client_search_page__WEBPACK_IMPORTED_MODULE_7__["ClientSearchPage"]
    }
];
var ClientSearchPageModule = /** @class */ (function () {
    function ClientSearchPageModule() {
    }
    ClientSearchPageModule = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_2__["NgModule"])({
            imports: [
                _angular_common__WEBPACK_IMPORTED_MODULE_3__["CommonModule"],
                _angular_forms__WEBPACK_IMPORTED_MODULE_4__["FormsModule"],
                _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["IonicModule"],
                _component_empty_tip_empty_tip_component_module__WEBPACK_IMPORTED_MODULE_1__["EmptyTipComponentModule"],
                _angular_router__WEBPACK_IMPORTED_MODULE_5__["RouterModule"].forChild(routes)
            ],
            declarations: [_client_search_page__WEBPACK_IMPORTED_MODULE_7__["ClientSearchPage"]]
        })
    ], ClientSearchPageModule);
    return ClientSearchPageModule;
}());



/***/ }),

/***/ "./src/app/pages/client/client-search/client-search.page.ts":
/*!******************************************************************!*\
  !*** ./src/app/pages/client/client-search/client-search.page.ts ***!
  \******************************************************************/
/*! exports provided: ClientSearchPage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ClientSearchPage", function() { return ClientSearchPage; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _ionic_storage__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @ionic/storage */ "./node_modules/@ionic/storage/fesm5/ionic-storage.js");
/* harmony import */ var _providers_client_client__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../../../providers/client/client */ "./src/app/providers/client/client.ts");
/* harmony import */ var _common_common_action__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../../../common/common-action */ "./src/app/common/common-action.ts");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");







var ClientSearchPage = /** @class */ (function () {
    function ClientSearchPage(commonAction, commonEnums, client, router, modalController, storage, navController) {
        this.commonAction = commonAction;
        this.commonEnums = commonEnums;
        this.client = client;
        this.router = router;
        this.modalController = modalController;
        this.storage = storage;
        this.navController = navController;
        this.isEmpty = false;
        this.page = 1;
        this.hasMore = false;
        this.clientList = [];
        this.keyword = '';
    }
    ClientSearchPage.prototype.ngOnInit = function () {
        // this.searchbar.setFocus();
    };
    ClientSearchPage.prototype.ngAfterContentInit = function () {
        var _this = this;
        //Called after ngOnInit when the component's or directive's content has been initialized.
        //Add 'implements AfterContentInit' to the class.
        setTimeout(function () {
            _this.searchbar.setFocus();
        }, 500);
    };
    ClientSearchPage.prototype.viewDetail = function (client_id) {
        this.router.navigate(['/client/client-info', client_id]);
    };
    ClientSearchPage.prototype.editInfo = function (item) {
        if (item['orders'].length === 1) {
            this.router.navigate(['/order/order-info', item['orders'][0]]);
        }
        else if (item['orders'].length > 1) {
            this.router.navigate(['/client/choose-order', item['client_id']]);
        }
    };
    // 刷新
    ClientSearchPage.prototype.doRefresh = function (event) {
        this.page = 1;
        this.isEmpty = false;
        this.hasMore = true;
        this.clientList = [];
        this.getList();
        setTimeout(function () {
            event.target.complete();
        }, 2000);
    };
    // 加载更多
    ClientSearchPage.prototype.loadData = function (event) {
        this.page++;
        this.getList();
        setTimeout(function () {
            event.target.complete();
        }, 500);
    };
    ClientSearchPage.prototype.search = function (value) {
        var _this = this;
        // console.log(this.keyword);
        this.clientList = [];
        if (value === '') {
            return;
        }
        this.page = 1;
        this.isEmpty = false;
        this.hasMore = true;
        this.client.searchClient(value.trim()).subscribe(function (res) {
            if (res['code'] === 20000) {
                if (res['data']['lists'].length === 0) {
                    _this.hasMore = false;
                    if (_this.page === 1) {
                        _this.isEmpty = true;
                    }
                }
                else {
                    var list = res['data']['lists'].map(function (value1) {
                        value1.checked = false;
                        return value1;
                    });
                    _this.clientList = _this.clientList.concat(list);
                }
            }
            else {
                _this.commonAction.toast(res['message']);
            }
        });
    };
    ClientSearchPage.prototype.cancel = function () {
        this.navController.navigateBack('/app/tabs/workbench');
    };
    // 获取列表
    ClientSearchPage.prototype.getList = function () {
        var _this = this;
        this.client.searchClient(this.keyword).subscribe(function (res) {
            if (res['code'] === 20000) {
                if (res['data']['lists'].length === 0) {
                    _this.hasMore = false;
                    if (_this.page === 1) {
                        _this.isEmpty = true;
                    }
                }
                else {
                    var list = res['data']['lists'].map(function (value) {
                        value.checked = false;
                        return value;
                    });
                    _this.clientList = _this.clientList.concat(list);
                }
            }
            else {
                _this.commonAction.toast(res['message']);
            }
        });
    };
    ClientSearchPage.prototype.dismiss = function () {
        this.modalController.dismiss();
    };
    tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_6__["ViewChild"])('searchbar'),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:type", _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["IonSearchbar"])
    ], ClientSearchPage.prototype, "searchbar", void 0);
    ClientSearchPage = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_6__["Component"])({
            selector: 'app-client-search',
            template: __webpack_require__(/*! ./client-search.page.html */ "./src/app/pages/client/client-search/client-search.page.html"),
            styles: [__webpack_require__(/*! ../client-normal.scss */ "./src/app/pages/client/client-normal.scss"), __webpack_require__(/*! ./client-search.page.scss */ "./src/app/pages/client/client-search/client-search.page.scss")]
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_common_common_action__WEBPACK_IMPORTED_MODULE_3__["CommonAction"],
            _common_common_action__WEBPACK_IMPORTED_MODULE_3__["CommonEnums"],
            _providers_client_client__WEBPACK_IMPORTED_MODULE_2__["Client"],
            _angular_router__WEBPACK_IMPORTED_MODULE_5__["Router"],
            _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["ModalController"],
            _ionic_storage__WEBPACK_IMPORTED_MODULE_1__["Storage"],
            _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["NavController"]])
    ], ClientSearchPage);
    return ClientSearchPage;
}());



/***/ })

}]);
//# sourceMappingURL=client-search-client-search-module.js.map