(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["news-news-module"],{

/***/ "./src/app/pages/news/news-routing.module.ts":
/*!***************************************************!*\
  !*** ./src/app/pages/news/news-routing.module.ts ***!
  \***************************************************/
/*! exports provided: NewsPageRoutingModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewsPageRoutingModule", function() { return NewsPageRoutingModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _guard_permission_guard__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./../../guard/permission-guard */ "./src/app/guard/permission-guard.ts");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _news_page__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./news.page */ "./src/app/pages/news/news.page.ts");





var routes = [
    {
        path: '',
        component: _news_page__WEBPACK_IMPORTED_MODULE_4__["NewsPage"]
    },
    {
        path: 'news-add',
        loadChildren: './news-add/news-add.module#NewsAddPageModule',
        canActivate: [_guard_permission_guard__WEBPACK_IMPORTED_MODULE_1__["PermissionGuard"]]
    },
    { path: 'news-info', loadChildren: './news-info/news-info.module#NewsInfoPageModule' },
    { path: 'remind-list', loadChildren: './remind-list/remind-list.module#RemindListPageModule' },
    { path: 'notice-list', loadChildren: './notice-list/notice-list.module#NoticeListPageModule' },
    { path: 'news-us/:id', loadChildren: './news-us/news-us.module#NewsUsPageModule' },
];
var NewsPageRoutingModule = /** @class */ (function () {
    function NewsPageRoutingModule() {
    }
    NewsPageRoutingModule = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_2__["NgModule"])({
            imports: [_angular_router__WEBPACK_IMPORTED_MODULE_3__["RouterModule"].forChild(routes)],
            exports: [_angular_router__WEBPACK_IMPORTED_MODULE_3__["RouterModule"]]
        })
    ], NewsPageRoutingModule);
    return NewsPageRoutingModule;
}());



/***/ }),

/***/ "./src/app/pages/news/news.module.ts":
/*!*******************************************!*\
  !*** ./src/app/pages/news/news.module.ts ***!
  \*******************************************/
/*! exports provided: NewsPageModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewsPageModule", function() { return NewsPageModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var src_app_component_empty_tip_empty_tip_component_module__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! src/app/component/empty-tip/empty-tip.component.module */ "./src/app/component/empty-tip/empty-tip.component.module.ts");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/fesm5/common.js");
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/forms */ "./node_modules/@angular/forms/fesm5/forms.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");
/* harmony import */ var _news_page__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./news.page */ "./src/app/pages/news/news.page.ts");
/* harmony import */ var _news_routing_module__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./news-routing.module */ "./src/app/pages/news/news-routing.module.ts");
/* harmony import */ var src_app_pipes_pipes_module__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! src/app/pipes/pipes.module */ "./src/app/pipes/pipes.module.ts");









var NewsPageModule = /** @class */ (function () {
    function NewsPageModule() {
    }
    NewsPageModule = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_2__["NgModule"])({
            imports: [
                _angular_common__WEBPACK_IMPORTED_MODULE_3__["CommonModule"],
                _angular_forms__WEBPACK_IMPORTED_MODULE_4__["FormsModule"],
                _ionic_angular__WEBPACK_IMPORTED_MODULE_5__["IonicModule"],
                src_app_pipes_pipes_module__WEBPACK_IMPORTED_MODULE_8__["PipesModule"],
                src_app_component_empty_tip_empty_tip_component_module__WEBPACK_IMPORTED_MODULE_1__["EmptyTipComponentModule"],
                _news_routing_module__WEBPACK_IMPORTED_MODULE_7__["NewsPageRoutingModule"]
            ],
            declarations: [_news_page__WEBPACK_IMPORTED_MODULE_6__["NewsPage"]]
        })
    ], NewsPageModule);
    return NewsPageModule;
}());



/***/ }),

/***/ "./src/app/pages/news/news.page.html":
/*!*******************************************!*\
  !*** ./src/app/pages/news/news.page.html ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "<ion-header>\n  <ion-toolbar>\n    <ion-title>公告</ion-title>\n    <ion-buttons slot=\"end\">\n      <ion-button (click)=\"publish()\" size=\"small\">发布</ion-button>\n    </ion-buttons>\n  </ion-toolbar>\n</ion-header>\n\n<ion-content>\n  <ion-refresher slot=\"fixed\" (ionRefresh)=\"doRefresh($event)\">\n    <ion-refresher-content></ion-refresher-content>\n  </ion-refresher>\n  <div class=\"news-box\" *ngIf=\"alertMessages.length > 0\">\n    <ion-row class=\"news-top top-radius\" align-items-center (click)=\"viewRemind()\">\n      <ion-icon src=\"./assets/svg/notice-outline.svg\"></ion-icon>\n      <ion-col>\n        提醒\n      </ion-col>\n      <ion-col text-right>\n        查看更多\n      </ion-col>\n      <ion-icon name=\"arrow-forward\"></ion-icon>\n    </ion-row>\n    <ion-item-sliding class=\"news-list\" *ngFor=\"let item of alertMessages;index as i;\">\n      <ion-item>\n        <ion-label>\n          <ion-row>\n            <ion-col class=\"news-title\">{{['', '平台提醒', '经理提醒'][item.message_type]}}</ion-col>\n            <ion-col class=\"news-time\" size=\"auto\">{{item.create_time | getDateDiff}}</ion-col>\n          </ion-row>\n          <h3>{{item.content}}</h3>\n        </ion-label>\n      </ion-item>\n      <ion-item-options side=\"end\">\n        <ion-item-option (click)=\"deleteAlert(item.id, i)\">删除</ion-item-option>\n      </ion-item-options>\n    </ion-item-sliding>\n  </div>\n\n  <div class=\"news-box\" *ngIf=\"items.length > 0\">\n    <ion-row class=\"news-top top-radius\" align-items-center (click)=\"viewNotice()\">\n      <ion-icon src=\"./assets/svg/horn.svg\"></ion-icon>\n      <ion-col>\n        公告\n      </ion-col>\n      <ion-col text-right>\n        查看更多\n      </ion-col>\n      <ion-icon name=\"arrow-forward\"></ion-icon>\n    </ion-row>\n    <ion-item-sliding class=\"news-list\" *ngFor=\"let item of items;index as i;\">\n      <ion-item>\n        <ion-label>\n          <ion-row>\n            <ion-col class=\"news-title\">{{item.title}}</ion-col>\n            <ion-col class=\"news-time\" size=\"auto\">{{item.create_time | getDateDiff}}</ion-col>\n          </ion-row>\n          <h3>{{item.content}}</h3>\n        </ion-label>\n      </ion-item>\n      <ion-item-options side=\"end\">\n        <ion-item-option (click)=\"delete(item.post_id, i)\">删除</ion-item-option>\n      </ion-item-options>\n    </ion-item-sliding>\n  </div>\n  <empty-tip [isEmpty]=\"showEmpty\" message=\"暂时没有消息。。。\"></empty-tip>\n\n</ion-content>\n"

/***/ }),

/***/ "./src/app/pages/news/news.page.ts":
/*!*****************************************!*\
  !*** ./src/app/pages/news/news.page.ts ***!
  \*****************************************/
/*! exports provided: NewsPage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewsPage", function() { return NewsPage; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");
/* harmony import */ var _common_common_action__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../../common/common-action */ "./src/app/common/common-action.ts");
/* harmony import */ var _providers_news_news_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../../providers/news/news.service */ "./src/app/providers/news/news.service.ts");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");






var NewsPage = /** @class */ (function () {
    function NewsPage(router, commonAction, newsService, events) {
        this.router = router;
        this.commonAction = commonAction;
        this.newsService = newsService;
        this.events = events;
        this.items = [];
        this.tips = [];
        this.alertMessages = [];
        this.showEmpty = false;
    }
    NewsPage.prototype.ngOnInit = function () {
        var _this = this;
        this.getList();
        this.getNews();
        this.events.subscribe('tabs:change', function (tab) {
            if (tab === 'news') {
                // this.commonAction.presentLoading();
                _this.getList();
                _this.getNews();
            }
        });
        this.events.subscribe('news:add', function () {
            _this.getList();
        });
        this.events.subscribe('notice: tip', function (tip) {
            _this.tips = [tip];
        });
    };
    NewsPage.prototype.ngOnDestroy = function () {
        this.events.unsubscribe("news:add");
        this.events.unsubscribe("tip");
    };
    // 刷新
    NewsPage.prototype.doRefresh = function (event) {
        this.getList();
        this.getNews();
        if (!!event) {
            setTimeout(function () {
                event.target.complete();
            }, 2000);
        }
    };
    NewsPage.prototype.viewRemind = function () {
        this.router.navigateByUrl('/news/remind-list');
    };
    NewsPage.prototype.viewNotice = function () {
        this.router.navigateByUrl('/news/notice-list');
    };
    NewsPage.prototype.publish = function () {
        this.router.navigateByUrl('/news/news-add');
    };
    NewsPage.prototype.delete = function (id, index) {
        var that = this;
        this.commonAction.presentAlertConfirm('您确定删除此条公告吗？', function () {
            that.newsService.deletePost(id).subscribe(function (res) {
                that.commonAction.toast('删除成功');
                that.items.splice(index, 1);
            });
        });
    };
    NewsPage.prototype.deleteAlert = function (id, index) {
        var that = this;
        this.commonAction.presentAlertConfirm('您确定删除此条公告吗？', function () {
            that.newsService.deleteAlertMessage(id).subscribe(function (res) {
                that.commonAction.toast('删除成功');
                that.alertMessages.splice(index, 1);
            });
        });
    };
    NewsPage.prototype.getList = function () {
        var _this = this;
        this.newsService.getPosList(1, 2).subscribe(function (res) {
            if (res['code'] === 20000) {
                _this.items = res['data']['lists'];
                if (_this.items.length === 0) {
                    _this.showEmpty = true;
                }
                else {
                    _this.showEmpty = false;
                }
            }
        }, function () {
            // this.commonAction.loadingController.dismiss();
        });
    };
    NewsPage.prototype.getNews = function () {
        var _this = this;
        this.newsService.alertMessage().subscribe(function (res) {
            if (res['code'] === 20000) {
                _this.alertMessages = res['data']['lists'];
            }
        });
    };
    NewsPage = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_5__["Component"])({
            selector: 'news',
            template: __webpack_require__(/*! ./news.page.html */ "./src/app/pages/news/news.page.html"),
            styles: [__webpack_require__(/*! ./news.page.scss */ "./src/app/pages/news/news.page.scss")]
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_angular_router__WEBPACK_IMPORTED_MODULE_4__["Router"],
            _common_common_action__WEBPACK_IMPORTED_MODULE_2__["CommonAction"],
            _providers_news_news_service__WEBPACK_IMPORTED_MODULE_3__["NewsService"],
            _ionic_angular__WEBPACK_IMPORTED_MODULE_1__["Events"]])
    ], NewsPage);
    return NewsPage;
}());



/***/ })

}]);
//# sourceMappingURL=news-news-module.js.map